/**
 * Represents a /v1/rawtx RPC request
 */
export declare class RawTxRequest {
    readonly address: string;
    readonly rawHexBytes: string;
    /**
     * Constructor for this class
     * @param {string} address - The address hex of the sender
     * @param {string} rawHexBytes - The transaction bytes in hex format
     */
    constructor(address: string, rawHexBytes: string);
    /**
     * JSON representation of this model
     * @returns {object} The JSON request specified by the /v1/rawtx RPC call
     */
    toJSON(): {
        address: string;
        raw_hex_bytes: string;
    };
}
//# sourceMappingURL=tx-request.d.ts.map